Name: icewm-window-driver
Version: 0.1
Release: alt0

Summary: simple window driver for IceWM

Summary(ru_RU.UTF-8): простейший скрипт для управления окнами в icewm
License: GPL
Group: Graphical desktop/Icewm
Url: forum.altlinux.org

Packager: YYY

BuildArch: noarch
Requires: xdpyinfo wmctrl
AutoReq: no

%description
simple window driver for IceWM
icewm keys file
key "Super+semicolon"        iwpl -p=u -t=b -s=28
key "Super+period"           iwpl -p=d -t=b -s=28
key "Super+comma"            iwpl -p=l -t=b -s=28
key "Super+slash"            iwpl -p=r -t=b -s=28

%description -l ru_RU.UTF-8
Простейший скрипт для управления окнами в icewm c с помощью wmctrl
Установить окно серху, снизу, слева, справа
icewm keys file
key "Super+semicolon"        iwpl -p=u -t=b -s=28
key "Super+period"           iwpl -p=d -t=b -s=28
key "Super+comma"            iwpl -p=l -t=b -s=28
key "Super+slash"            iwpl -p=r -t=b -s=28

%prep
%setup -q -c -T

%build

%install

%__mkdir_p %buildroot/%_bindir

cat <<'EOF' > %buildroot/%_bindir/iwpl
#!/bin/sh

    echo "parce string $@"

    for i in "$@"
    do
    case $i in
	
	-p=*)
	PLACE="${i#*=}"
	shift
	;;
	
	-t=*)
	TASKBAR="${i#*=}"
	shift
	;;
	
	-s=*)
	SIZE="${i#*=}"
	shift
	;;
	
	*)
	    # unknown
	;;
    esac
    done

    ERROR=0
    
    echo "PLACE = $PLACE "
    echo "TASKBAR = $TASKBAR "
    echo "SIZE = $SIZE "

    if [ -z $PLACE ]; then
	ERROR=1
    else
	if [ "$PLACE" == "u" ] || [ "$PLACE" == "d" ] || [ "$PLACE" == "l" ] || [ "$PLACE" == "r" ]
	then
	    echo "OK PLACE = $PLACE "
	else
	    ERROR=1
	fi
    fi

    if [ -z $TASKBAR ]; then
	ERROR=1
    else
	if [ "$TASKBAR" == "t" ] || [ "$TASKBAR" == "b" ]
	then
	    echo "OK TASKBAR = $TASKBAR "
	else
	    ERROR=1
	fi
    fi

    if [ -z $SIZE ]; then
	ERROR=1
    else
	if [ $SIZE -gt 1 ]
	then
	    echo "OK SIZE = $SIZE "
	else
	    ERROR=1
	fi
    fi

    if [ $ERROR -eq 1 ]
    then
	echo "Usage: iwpl -p=[u|d|l|r] -t=[t|b] -s=24"
	echo "       -p=[u|d|l|r] - place windows UP DOWN LEFT RIGHT"
	echo "       -t=[t|b]     - taskbar top or down"
	echo "       -s=24        - taskbar size in pixel"
	exit 0
    fi

    read RES_X RES_Y <<<$(xdpyinfo |awk -F'[ x]+' '/dimensions:/{print $3, $4}' )
    echo "DeskTop Size ->  $RES_X x $RES_Y"

    WW=`expr $RES_X - 5`
    WWh=`expr $WW / 2`
    WH=`expr $RES_Y - $SIZE - 15`
    WHh=`expr $WH / 2`

    TOP=0
    if [ "$TASKBAR" == "t" ]
    then
	TOP="$SIZE"
    fi

    echo "$WW $WWh $WH $WHh $TOP"
    
    if [ "$PLACE" == "u" ]
    then
	echo "UP"
	wmctrl -r:ACTIVE: -e 0,0,$TOP,$WW,$WHh
    fi

    if [ "$PLACE" == "d" ]
    then
	echo "DOWN"
	TOP=`expr $TOP + $WHh`
	wmctrl -r:ACTIVE: -e 0,0,$TOP,$WW,$WHh
    fi

    if [ "$PLACE" == "l" ]
    then
	echo "LEFT"
	wmctrl -r:ACTIVE: -e 0,0,$TOP,$WWh,$WH
    fi

    if [ "$PLACE" == "r" ]
    then
	echo "RIGHT"
	wmctrl -r:ACTIVE: -e 0,$WWh,$TOP,$WWh,$WH
    fi



EOF


chmod 755 %buildroot/%_bindir/iwpl


%files
%_bindir/*

